BasicTransformerAdapter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transform
Class BasicTransformerAdapter

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter

All Implemented Interfaces:
  Serializable, ResultTransformer

Direct Known Subclasses:
  AbstractEntityManagerImpl.TupleBuilderTransformer, AliasedTupleSubsetResultTransformer, DistinctResultTransformer, PassThroughResultTransformer, RootEntityResultTransformer, ToListResultTransformer

    public abstract class BasicTransformerAdapter

extends Object
implements ResultTransformer

Provides the basic "noop" impls of the `ResultTransformer` contract.

See Also:
  Serialized Form

Constructor Summary
`BasicTransformerAdapter()`

Method Summary
`List` | `transformList(List list)` Here we have an opportunity to perform transformation on the query result as a whole.
`Object` | `transformTuple(Object[] tuple, String[] aliases)` Tuples are the elements making up each "row" of the query result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTransformerAdapter

    public BasicTransformerAdapter()

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Description copied from interface: `ResultTransformer`
  Tuples are the elements making up each "row" of the query result. The contract here is to transform these elements into the final row.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

### transformList

    public List transformList(List list)

  Description copied from interface: `ResultTransformer`
  Here we have an opportunity to perform transformation on the query result as a whole. This might be useful to convert from one collection type to another or to remove duplicates from the result, etc.

  Specified by:
    `transformList` in interface `ResultTransformer`
  Parameters:
    `list` - The result.
  Returns:
    The transformed result.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.